# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: logo
    category: CDev\SimpleCMS
    type: CDev\SimpleCMS\View\FormField\Input\Logo
    orderby: 100
    translations: [{code: en, option_name: 'Company logo (desktop version)'}]
    module: CDev\SimpleCMS
  - name: mobileLogo
    category: CDev\SimpleCMS
    type: CDev\SimpleCMS\View\FormField\Input\MobileLogo
    orderby: 150
    translations:
      - code: en
        option_name: 'Company logo (mobile version)'
    module: CDev\SimpleCMS
  - name: notificationLogo
    category: 'CDev\SimpleCMS'
    type: 'CDev\SimpleCMS\View\FormField\Input\NotificationLogo'
    orderby: 175
    translations:
      - code: en
        option_name: 'Company logo (email notifications)'
    module: CDev\SimpleCMS
  - name: favicon
    category: 'CDev\SimpleCMS'
    type: 'CDev\SimpleCMS\View\FormField\Input\Favicon'
    orderby: 200
    translations: [{code: en, option_name: Favicon, option_comment: 'For the icon to be displayed properly in all web browsers, we recommend using the icon size of 32 x 32 pixels'}]
    module: CDev\SimpleCMS
  - name: appleIcon
    category: CDev\SimpleCMS
    type: CDev\SimpleCMS\View\FormField\Input\AppleIcon
    orderby: 250
    translations: [{code: en, option_name: 'Apple icon', option_comment: 'Image must be a .png file with the resolution of 192 x 192 pixels'}]
    module: CDev\SimpleCMS
  - name: page_changefreq
    category: CDev\XMLSitemap
    type: CDev\SimpleCMS\View\FormField\Select\ChangeFrequency
    orderby: 400
    value: daily
    translations: [{code: en, option_name: 'Static page'}]
    module: CDev\SimpleCMS
  - name: page_priority
    category: CDev\XMLSitemap
    type: XLite\View\FormField\Input\Text\FloatInput
    widgetParameters: {min: 0, max: 1, e: 1}
    orderby: 410
    value: 0.5
    translations: [{code: en, option_name: 'Priority for Static page', option_comment: 'The value should range from 0 to 1.'}]
    module: CDev\SimpleCMS
  - name: show_default_menu
    category: CDev\SimpleCMS
    type: checkbox
    value: 'Y'
    orderby: 300
    translations: [{code: en, option_name: 'Show the default menu along with the custom one'}]
    module: CDev\SimpleCMS
  - name: logo_alt
    category: CDev\SimpleCMS
    type: hidden
    value: ''
    module: CDev\SimpleCMS
XLite\Model\Role\Permission:
  - code: ROLE_MANAGE_CUSTOM_PAGES
    section: Content
    module: CDev\SimpleCMS
    translations: [{code: en, name: 'Manage custom pages'}, {code: es, name: 'Gestionar páginas personalizadas'}]
  - code: ROLE_MANAGE_MENUS
    section: Content
    module: CDev\SimpleCMS
    translations: [{code: en, name: 'Manage menus'}, {code: es, name: Content, description: 'Gestionar menús'}]
XLite\Model\Role:
  - translations: [{code: en, name: 'Content management'}, {code: ru, name: 'Управлением контентом'}, {code: es, name: 'Gestión de contenidos'}]
    permissions: [{code: ROLE_MANAGE_MENUS}, {code: ROLE_MANAGE_CUSTOM_PAGES}]
CDev\SimpleCMS\Model\Page:
  - id: 1
    cleanURLs: [{cleanURL: terms-and-conditions}]
    position: 30
    translations: [
      {code: en, name: 'Terms and conditions', teaser: 'Terms and conditions', body: '<p>Terms and conditions text</p><p>To replace this text with the actual Terms and conditions, go to the "Design -&gt; Menus & Pages -&gt; Content Pages" section and edit the "Terms and conditions" page.</p>'},
      {code: zh, name: 条款约定, teaser: 条款约定, body: '<p>内容描述</p><p>要替代该条款内的内容，请到&ldquo;内容-网页&ldquo;中进行设置，打开页面编辑并在这里编辑内容栏目。</p>'},
      {code: es, name: 'Condiciones generales', teaser: 'Condiciones generales', body: '<p>Términos y condiciones</p><p>Para sustituir este texto por los Términos y condiciones reales, vaya a la sección "Contenido -> Páginas", abra la página "Términos y condiciones" y edite el campo "Contenido".</p>'}
    ]
  - cleanURLs: [{cleanURL: shipping}]
    position: 20
    translations: [
      {code: en, name: Shipping, teaser: 'Shipping teaser', body: '<p>This page is intended for your store''s shipping policy.</p><p>Here you can provide general information about the available shipping options and rates, shipping turn-around times, size and weight limits for shipping, shipping restrictions, order tracking, and so on.</p><p></p><p>To replace this text with the actual delivery information, go to the "Design -&gt; Menus & Pages -&gt; Content Pages" section and edit the "Shipping" page.</p>'},
      {code: zh, name: 关于运输, teaser: 关于运输, body: '<p>关于运输的内容</p><p>要设置该页面的运输项目内容，请到&rdquo;内容-页面&rdquo;中打开关于运输页面进行修改。</p>'},
      {code: es, name: 'Envío', teaser: 'Anuncio de envío', body: '<p>Esta página está destinada a la política de envíos de su tienda.</p><p>Aquí puede proporcionar información general sobre las opciones y tarifas de envío disponibles, los plazos de entrega del envío, los límites de tamaño y peso para el envío, las restricciones de envío, el seguimiento del pedido, etc.</p><p></p><p>Para sustituir este texto por la información de envío real, vaya a la sección "Contenido -> Páginas", abra la página "Envío" y edite el campo "Contenido".</p>'}
    ]
  - type: primary
    layoutGroup: home
    position: 10
    adminUrl: '?target=front_page'
    frontUrl: /
    tooltipText: pages.tooltip.front-page
    translations: [{code: en, name: 'Front page', teaser: '', body: ''}, {code: es, name: 'Portada', teaser: '', body: ''}]
  - type: primary
    layoutGroup: default
    position: 20
    adminUrl: '?target=categories'
    frontUrl: '?target=category'
    tooltipText: pages.tooltip.category-pages
    translations: [{code: en, name: pages.name.category-pages, teaser: '', body: ''}]
  - type: primary
    layoutGroup: default
    position: 30
    adminUrl: '?target=product_list'
    frontUrl: '?target=product'
    tooltipText: pages.tooltip.product-pages
    translations: [{code: en, name: pages.name.product-pages, teaser: '', body: ''}]
  - type: primary
    layoutGroup: default
    position: 40
    adminUrl: '?target=brands'
    frontUrl: '?target=brand'
    tooltipText: pages.tooltip.brand-pages
    module: QSL-ShopByBrand
    translations: [{code: en, name: pages.name.brand-pages, teaser: '', body: ''}]
  - type: primary
    layoutGroup: default
    position: 50
    adminUrl: '?target=module&moduleId=CDev-Sale'
    frontUrl: '?target=sale_products'
    tooltipText: pages.tooltip.sale
    module: CDev-Sale
    translations: [{code: en, name: pages.name.sale, teaser: '', body: ''}]
  - type: primary
    layoutGroup: default
    position: 60
    adminUrl: '?target=module&moduleId=CDev-Bestsellers'
    frontUrl: '?target=bestsellers'
    tooltipText: pages.tooltip.bestsellers
    module: CDev-Bestsellers
    translations: [{code: en, name: pages.name.bestsellers, teaser: '', body: ''}]
  - type: primary
    layoutGroup: default
    position: 70
    adminUrl: '?target=module&moduleId=CDev-ProductAdvisor#new-arrivals'
    frontUrl: '?target=new_arrivals'
    tooltipText: pages.tooltip.new-arrivals
    module: CDev-ProductAdvisor
    translations: [{code: en, name: pages.name.new-arrivals, teaser: '', body: ''}]
  - type: primary
    layoutGroup: default
    position: 80
    adminUrl: '?target=module&moduleId=CDev-ProductAdvisor#coming-soon'
    frontUrl: '?target=coming_soon'
    tooltipText: pages.tooltip.coming-soon
    module: CDev-ProductAdvisor
    translations: [{code: en, name: pages.name.coming-soon, teaser: '', body: ''}]
  - type: primary
    layoutGroup: default
    position: 90
    adminUrl: '?target=module&moduleId=CDev-ContactUs'
    frontUrl: '?target=contact_us'
    tooltipText: pages.tooltip.contact-us
    module: CDev-ContactUs
    translations: [{code: en, name: pages.name.contact-us, teaser: '', body: ''}]
  - type: service
    layoutGroup: default
    position: 10
    adminUrl: '?target=seo_page404_settings&page=CleanURL'
    frontUrl: '?target=page_not_found'
    tooltipText: pages.tooltip.404
    translations: [{code: en, name: pages.name.404, teaser: '', body: ''}]
CDev\SimpleCMS\Model\Menu:
  - link: '{home}'
    type: P
    position: 100
    translations: [{code: en, name: Home}, {code: ru, name: Главная}, {code: zh, name: 主页}, {code: es, name: 'Inicio'}]
  - link: '{my account}'
    visibleFor: L
    type: P
    position: 600
    translations: [{code: en, name: 'My Account'}, {code: ru, name: 'Мой профиль'}, {code: zh, name: 我的账户}, {code: es, name: 'Mi cuenta'}]
    children: [{enabled: 1, link: '?target=order_list', visibleFor: L, type: P, position: 100, translations: [{code: en, name: 'My orders'}, {code: ru, name: 'Мои заказы'}, {code: zh, name: 订单（复数）}, {code: es, name: 'Mis pedidos'}]}, {enabled: 1, link: '?target=address_book', visibleFor: L, type: P, position: 200, translations: [{code: en, name: 'My address book'}, {code: ru, name: 'Мои адреса'}, {code: zh, name: 地址簿}, {code: es, name: 'Mis agenda'}]}]
XLite\Model\LanguageLabel:
  - name: 'Contact us'
    translations: [{code: en, label: 'Contact us'}]
  - name: Logo
    translations: [{code: en, label: Logo}]
  - name: Favicon
    translations: [{code: en, label: Favicon}, {code: ru, label: Фавикон}]
  - name: Shipping
    translations: [{code: en, label: Shipping}]
  - name: 'Menu links help text'
    translations: [{code: en, label: 'If you want to add an external link, you should specify it with the <strong>http://</strong> prefix, e.g. <strong>http://www.example.com/</strong>.<br /><br />If you want to add a link to a page within your store (e.g. the checkout page), you can specify it as <strong>index.php?target=checkout</strong> (relative path) or as <strong>{{URL}}index.php?target=checkout</strong> (absolute path).<br /><br />Also the ''{home}'' shortcut value will lead to Home page'}]
  - name: 'Failed to update page image'
    translations: [{code: en, label: 'Failed to update the page image'}]
  - name: 'Visible for'
    translations: [{code: en, label: 'Visible for'}]
  - name: 'The menu has been updated'
    translations: [{code: en, label: 'The menu has been updated'}]
  - name: 'The menu has been added'
    translations: [{code: en, label: 'The menu has been added'}]
  - name: 'The page has been updated'
    translations: [{code: en, label: 'The page has been updated'}]
  - name: 'Any visitors'
    translations: [{code: en, label: 'Any visitors'}]
  - name: 'Anonymous users only'
    translations: [{code: en, label: 'Anonymous users only'}]
  - name: 'Logged in users only'
    translations: [{code: en, label: 'Logged in users only'}]
  - name: 'Save & Close'
    translations: [{code: en, label: 'Save & Close'}]
  - name: 'Logo & Favicon'
    translations: [{code: en, label: 'Logo & Favicon'}]
  - name: 'Terms and conditions'
    translations: [{code: en, label: 'Terms and conditions'}]
  - name: 'Open graph image'
    translations: [{code: en, label: 'Open graph image'}]
  - name: "Enable the 'Go Social' add-on to show an image preview in social networks."
    translations: [{code: en, label: "Enable the 'Go Social' add-on to show an image preview in social networks."}]
  - name: 'The "{{file}}" file is not allowed image and was not uploaded. Allowed images are: {{extensions}}'
    translations: [{code: en, label: 'The "{{file}}" file is not allowed image and was not uploaded. Allowed images are: {{extensions}}'}]
  - name: Submenu
    translations: [{code: en, label: Submenu}, {code: ru, label: Подменю}]
  - name: 'Content page title'
    translations: [{code: en, label: 'Content page title'}, {code: ru, label: 'Заголовок страницы'}]
  - name: 'Leave blank to use page name as Page Title.'
    translations: [{code: en, label: 'Leave blank to use page name as Page Title.'}, {code: ru, label: 'Оставьте поле незаполненным чтобы использовать имя страницы в качестве заголовка.'}]
  - name: 'The AppleIcon image could not be uploaded (Unallowed image type. Must be a .png image with the resolution of 192x192 px)'
    translations: [{code: en, label: 'The AppleIcon image could not be uploaded (Unallowed image type. Must be a .png image with the resolution of 192 x 192 pixels)'}]
  - name: itemslist.admin.page.blank
    translations: [{code: en, label: ' <p>The store doesn''t have any static pages yet. Static pages can be created to tell customers about your products or policies, guide them through the order process etc. Once the page is created, it will become accessible via certain URL. Start writing by clicking the <b>"New page"</b> button.</p>'}, {code: ru, label: ' <p>Список страниц пуст. С помощью страниц вы сможете рассказать клиентам о ваших товарах и условиях заказа, предоставить им помощь и полезную информацию. Такие страницы будут доступны по определенным адресам после того, как будут опубликованы.</p>'}]
  - name: itemslist.admin.menu.blank
    translations: [{code: en, label: '<p>There are no menus in the store. Header and footer menus provide customers with useful navigation. They can contain any link or label, and can be nested. Generally, the primary menu is shown on the top of the page, and the footer menu is on the bottom of the page.</p>'}, {code: ru, label: '<p>Меню не заполнены. Меню - удобный инструмент навигации для ваших клиентов. Элементы меню могут содержать любой текст или ссылку, а также могут иметь подменю. Обычно, есть главное меню (оно расположено в вернхней части страницы) и нижнее меню (отображаемое в подвале страницы).</p>'}]
  - name: 'Show default menu along with the custom one'
    translations: [{code: en, label: 'Show default menu along with the custom one'}]
  - name: 'Current logo sizes: XхY px'
    translations: [{code: en, label: 'Current logo size: {{X}} х {{Y}} pixels'}]
  - name: 'Current logo sizes (mobile): XхY px'
    translations: [{code: en, label: 'Current logo size: {{X}} х {{Y}} pixels'}]
  - name: 'Pages & Menus'
    translations: [{code: en, label: 'Pages & Menus'}]
  - name: 'Online Store pages'
    translations: [{code: en, label: 'Online Store pages'}]
  - name: 'Content pages'
    translations: [{code: en, label: 'Content pages'}]
  - name: 'Primary menu'
    translations: [{code: en, label: 'Primary menu'}]
  - name: 'Bottom menu'
    translations: [{code: en, label: 'Bottom menu'}]
  - name: pages.tab.primary.description
    translations: [{code: en, label: 'The content of these pages is generated by X-Cart based on the settings configured by the store administrator.<br>The structure of these pages can be edited using <a href="{{url}}" target="_blank">"Template editor"</a>.'}]
  - name: pages.tab.content.description
    translations: [{code: en, label: 'The content of these pages can be created and edited using the built-in WYSIWYG HTML Editor.<br>The structure of these pages can be edited using the <a href="{{url}}" target="_blank">"Template Editor"</a>.'}]
  - name: pages.items-list.layout-help-message
    translations: [{code: en, label: 'You can manage page layout in <a href="{{url}}" target="_blank">Storefront Builder.</a>'}]
  - name: 'Page URL and Preview'
    translations: [{code: en, label: 'Page URL and Preview'}]
  - name: pages.example-of
    translations: [{code: en, label: 'Example of <a href="{{url}}" target="_blank">{{link}}</a>'}]
  - name: 'Category page'
    translations: [{code: en, label: 'Category page'}]
  - name: 'Product page'
    translations: [{code: en, label: 'Product page'}]
  - name: 'Brand page'
    translations: [{code: en, label: 'Brand page'}]
  - name: 'Menus & Pages'
    translations: [{code: en, label: 'Menus & Pages'}]
  - name: pages.tooltip.front-page
    translations: [{code: en, label: 'You can manage settings and URLs for this page on the <a href="/admin/?target=front_page">“Front Page”</a> page.'}]
  - name: pages.name.category-pages
    translations: [{code: en, label: 'Category pages'}]
  - name: pages.tooltip.category-pages
    translations: [{code: en, label: 'You can manage settings and URLs for each category on the <a href="/admin/?target=categories">“Categories”</a> page.'}]
  - name: pages.name.product-pages
    translations: [{code: en, label: 'Product pages'}]
  - name: pages.tooltip.product-pages
    translations: [{code: en, label: 'You can manage settings and URLs for each product on the <a href="/admin/?target=product_list">“Products”</a> page.'}]
  - name: pages.name.brand-pages
    translations: [{code: en, label: 'Brand pages'}]
  - name: pages.tooltip.brand-pages
    translations: [{code: en, label: 'You can manage settings and URLs for each brand on the <a href="/admin/?target=brands">“Brands”</a> page.'}]
  - name: pages.name.sale
    translations: [{code: en, label: Sale}]
  - name: pages.tooltip.sale
    translations: [{code: en, label: 'This page is part of "Sale" app. For more information, click <a href="https://support.x-cart.com/en/articles/4954645-about-sale-add-on" target="_blank">here</a>.'}]
  - name: pages.name.bestsellers
    translations: [{code: en, label: Bestsellers}]
  - name: pages.tooltip.bestsellers
    translations: [{code: en, label: 'This page is part of "Bestsellers" app. For more information, click <a href="https://support.x-cart.com/en/articles/4727789-bestsellers-add-on" target="_blank">here</a>.'}]
  - name: pages.name.new-arrivals
    translations: [{code: en, label: 'New Arrivals'}]
  - name: pages.tooltip.new-arrivals
    translations: [{code: en, label: 'This page is part of "Product Advisor" app. For more information, click <a href="https://support.x-cart.com/en/articles/4680146-new-arrivals-block" target="_blank">here</a>.'}]
  - name: pages.name.coming-soon
    translations: [{code: en, label: 'Coming soon'}]
  - name: pages.tooltip.coming-soon
    translations: [{code: en, label: 'This page is part of "Product Advisor" app. For more information, click <a href="https://support.x-cart.com/en/articles/4680304-coming-soon-block" target="_blank">here</a>.'}]
  - name: pages.name.contact-us
    translations: [{code: en, label: 'Contact Us'}]
  - name: pages.tooltip.contact-us
    translations: [{code: en, label: 'This page is part of "Contact us" app. For more information, click <a href="https://support.x-cart.com/en/articles/5077048-enabling-the-contact-us-form" target="_blank">here</a>.'}]
  - name: pages.name.404
    translations: [{code: en, label: '404 page'}]
  - name: pages.tooltip.404
    translations: [{code: en, label: '<a href="https://support.x-cart.com/en/articles/6266249-managing-content-and-service-pages-x-cart-5-5-x" target="_blank">404 page</a> is what a user sees when they try to reach a non-existent page on your site.'}]
  - name: 'Logo & Icons'
    translations: [{code: en, label: 'Logo & Icons'}]
